## public Election::clearConstraints

### Description    

```php
public Election->clearConstraints ( ): bool
```

Clear all constraints rules and clear previous results.
    

### Return value:   

*(```bool```)* Return True.


---------------------------------------

### Related method(s)      

* [Election::getConstraints](../Election%20Class/public%20Election--getConstraints.md)    
* [Election::addConstraints](../Election%20Class/public%20Election--addConstraints.md)    
* [Election::testIfVoteIsValidUnderElectionConstraints](../Election%20Class/public%20Election--testIfVoteIsValidUnderElectionConstraints.md)    

---------------------------------------

### Examples and explanation

* **[Manual - Vote Constraints](https://github.com/julien-boudry/Condorcet/wiki/II-%23-C.-Result-%23-5.-Vote-Constraints)**    
